#1586 closed enhancement (fixed)

Add retries to SD card accesses

Reported by: Arnout Vandecappelle Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: minor Keywords:
Cc: chrisj@…, sebastian.huber@… Blocked By:
Blocking:

Description

+++ This bug was initially created as a clone of Bug #1578 +++

I have an SPI controller that sometimes breaks down, which results in IO errors in the SD card driver (cfr. bug 1569). Attached patch adds retries to the accesses to the SD card (initialization and block requests).

The default retry value is 0, which reproduces the original behaviour.

Attachments (1)

0001-c-src-libchip-i2c-spi-sd-card.c-retry-SD-card-access.patch (2.5 KB) - added by Arnout Vandecappelle on Jun 22, 2010 at 1:08:19 PM.
Retry accesses to SD cards

Download all attachments as: .zip

Change History (4)

Changed on Jun 22, 2010 at 1:08:19 PM by Arnout Vandecappelle

Retry accesses to SD cards

comment:1 Changed on Jun 24, 2010 at 6:54:29 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Applied to CVS head.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.